<?php
/* Mantenimiento de los registros de la tabla MST_RangoDetalle redefinidos por el usaurio */
class MST_RangoDetalleDP extends BaseMST_RangoDetalleDP
{
    public static function recuperarId()
        {
            $s_Sql = "SELECT IF( MAX( IdRangoDetalle ) IS NULL, 1, MAX( IdRangoDetalle ) + 1 ) i_Id  FROM MST_RangoDetalle ";
            $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
            $o_ResultSet->next();
            $i_Id = $o_ResultSet->getInt( 'i_Id' );
            return $i_Id;
        }
}
?>